Mercurial > hg > xemacs-beta
comparison configure @ 4453:29efd169efe7
Automated merge with file:/Sources/xemacs-21.5-checked-out
author | Aidan Kehoe <kehoea@parhasard.net> |
---|---|
date | Sun, 11 May 2008 11:24:01 +0200 |
parents | ac6231e0c1df |
children | 49f8ed034500 |
comparison
equal
deleted
inserted
replaced
4452:82f8351e71c8 | 4453:29efd169efe7 |
---|---|
704 blddir | 704 blddir |
705 build | 705 build |
706 build_cpu | 706 build_cpu |
707 build_vendor | 707 build_vendor |
708 build_os | 708 build_os |
709 SHEBANG_PROGNAME | |
709 configuration | 710 configuration |
710 CC | 711 CC |
711 CFLAGS | 712 CFLAGS |
712 LDFLAGS | 713 LDFLAGS |
713 CPPFLAGS | 714 CPPFLAGS |
1659 Database options | 1660 Database options |
1660 ---------------- | 1661 ---------------- |
1661 | 1662 |
1662 --with-database=TYPE Compile with database support. Valid types are `no' | 1663 --with-database=TYPE Compile with database support. Valid types are `no' |
1663 or a comma-separated list of one or more of `berkdb' | 1664 or a comma-separated list of one or more of `berkdb' |
1664 and either `dbm' or `gnudbm'. | 1665 and either `dbm' or `gdbm'. |
1665 --with-ldap Support the LDAP protocol. | 1666 --with-ldap Support the LDAP protocol. |
1666 --with-postgresql Support the PostgreSQL RDBMS. | 1667 --with-postgresql Support the PostgreSQL RDBMS. |
1667 | 1668 |
1668 Mail options | 1669 Mail options |
1669 ------------ | 1670 ------------ |
3770 unset _with_database_args _database_found x y _require_database | 3771 unset _with_database_args _database_found x y _require_database |
3771 | 3772 |
3772 | 3773 |
3773 if test "$enable_database_dbm" = "yes" -a "$enable_database_gdbm" = "yes"; then | 3774 if test "$enable_database_dbm" = "yes" -a "$enable_database_gdbm" = "yes"; then |
3774 (echo "$progname: Usage error:" | 3775 (echo "$progname: Usage error:" |
3775 echo " " "Only one of \`dbm' and \`gnudbm' may be specified | 3776 echo " " "Only one of \`dbm' and \`gdbm' may be specified |
3776 with the \`--with-database' option." | 3777 with the \`--with-database' option." |
3777 echo " Use \`$progname --help' to show usage.") >&2 && exit 1 | 3778 echo " Use \`$progname --help' to show usage.") >&2 && exit 1 |
3778 fi | 3779 fi |
3779 | 3780 |
3780 | 3781 |
4777 IFS=$ac_save_IFS | 4778 IFS=$ac_save_IFS |
4778 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac | 4779 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac |
4779 | 4780 |
4780 | 4781 |
4781 | 4782 |
4783 cp "$srcdir/version.sh.in" "$srcdir/version.sh" | |
4784 if test -d "$srcdir/.hg"; then | |
4785 (cd "$srcdir"; hg identify | cut -d " " -f 1 >> version.sh) | |
4786 fi | |
4782 . "$srcdir/version.sh" || exit 1; | 4787 . "$srcdir/version.sh" || exit 1; |
4783 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi | 4788 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi |
4784 : "${verbose=$beta}" | 4789 : "${verbose=$beta}" |
4785 version="${emacs_major_version}.${emacs_minor_version}" | 4790 version="${emacs_major_version}.${emacs_minor_version}" |
4786 cat >>confdefs.h <<_ACEOF | 4791 cat >>confdefs.h <<_ACEOF |
4849 #define INFODOCK_BUILD_VERSION $infodock_build_version | 4854 #define INFODOCK_BUILD_VERSION $infodock_build_version |
4850 _ACEOF | 4855 _ACEOF |
4851 | 4856 |
4852 version=${infodock_major_version}.${infodock_minor_version}.${infodock_build_version} | 4857 version=${infodock_major_version}.${infodock_minor_version}.${infodock_build_version} |
4853 PROGNAME=infodock | 4858 PROGNAME=infodock |
4859 SHEBANG_PROGNAME=infodock-script | |
4854 CPPFLAGS="$CPPFLAGS -DINFODOCK" | 4860 CPPFLAGS="$CPPFLAGS -DINFODOCK" |
4855 else | 4861 else |
4856 PROGNAME=xemacs | 4862 PROGNAME=xemacs |
4857 fi | 4863 SHEBANG_PROGNAME=xemacs-script |
4864 fi | |
4865 | |
4866 | |
4858 | 4867 |
4859 cat >>confdefs.h <<_ACEOF | 4868 cat >>confdefs.h <<_ACEOF |
4860 #define EMACS_PROGNAME "$PROGNAME" | 4869 #define EMACS_PROGNAME "$PROGNAME" |
4870 _ACEOF | |
4871 | |
4872 | |
4873 cat >>confdefs.h <<_ACEOF | |
4874 #define SHEBANG_PROGNAME "${PROGNAME}-script" | |
4861 _ACEOF | 4875 _ACEOF |
4862 | 4876 |
4863 | 4877 |
4864 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi | 4878 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi |
4865 test "${enable_error_checking_extents:=$beta}" = yes && cat >>confdefs.h <<\_ACEOF | 4879 test "${enable_error_checking_extents:=$beta}" = yes && cat >>confdefs.h <<\_ACEOF |
5349 | 5363 |
5350 if test "$enable_newgc" = "yes"; then | 5364 if test "$enable_newgc" = "yes"; then |
5351 if test "$enable_vdb" = "auto"; then | 5365 if test "$enable_vdb" = "auto"; then |
5352 case "$opsys" in | 5366 case "$opsys" in |
5353 darwin ) case "$machine" in | 5367 darwin ) case "$machine" in |
5354 i686 ) check_vdb_posix=yes ;; | 5368 i[3-9]86 ) check_vdb_posix=yes ;; |
5355 * ) cat >>confdefs.h <<\_ACEOF | 5369 * ) cat >>confdefs.h <<\_ACEOF |
5356 #define VDB_MACH 1 | 5370 #define VDB_MACH 1 |
5357 _ACEOF | 5371 _ACEOF |
5358 have_vdb_mach=yes ;; | 5372 have_vdb_mach=yes ;; |
5359 esac ;; | 5373 esac ;; |
25695 ac_res=`eval echo '${'$as_ac_Lib'}'` | 25709 ac_res=`eval echo '${'$as_ac_Lib'}'` |
25696 { echo "$as_me:$LINENO: result: $ac_res" >&5 | 25710 { echo "$as_me:$LINENO: result: $ac_res" >&5 |
25697 echo "${ECHO_T}$ac_res" >&6; } | 25711 echo "${ECHO_T}$ac_res" >&6; } |
25698 if test `eval echo '${'$as_ac_Lib'}'` = yes; then | 25712 if test `eval echo '${'$as_ac_Lib'}'` = yes; then |
25699 | 25713 |
25700 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh` | 25714 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh` |
25701 { echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5 | 25715 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5 |
25702 echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; } | 25716 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; } |
25703 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then | 25717 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then |
25704 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25718 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25705 else | 25719 else |
25706 ac_check_lib_save_LIBS=$LIBS | 25720 ac_check_lib_save_LIBS=$LIBS |
25707 LIBS="-l$athena_variant $LIBS" | 25721 LIBS="-l$athena_variant $LIBS" |
25716 Use char because int might match the return type of a GCC | 25730 Use char because int might match the return type of a GCC |
25717 builtin and then its argument prototype would still apply. */ | 25731 builtin and then its argument prototype would still apply. */ |
25718 #ifdef __cplusplus | 25732 #ifdef __cplusplus |
25719 extern "C" | 25733 extern "C" |
25720 #endif | 25734 #endif |
25721 char threeDClassRec (); | 25735 char XawSme3dComputeTopShadowRGB (); |
25722 int | 25736 int |
25723 main () | 25737 main () |
25724 { | 25738 { |
25725 return threeDClassRec (); | 25739 return XawSme3dComputeTopShadowRGB (); |
25726 ; | 25740 ; |
25727 return 0; | 25741 return 0; |
25728 } | 25742 } |
25729 _ACEOF | 25743 _ACEOF |
25730 rm -f conftest.$ac_objext conftest$ac_exeext | 25744 rm -f conftest.$ac_objext conftest$ac_exeext |
25772 { echo "$as_me:$LINENO: WARNING: Could not find an Athena widget library." >&5 | 25786 { echo "$as_me:$LINENO: WARNING: Could not find an Athena widget library." >&5 |
25773 echo "$as_me: WARNING: Could not find an Athena widget library." >&2;} | 25787 echo "$as_me: WARNING: Could not find an Athena widget library." >&2;} |
25774 fi | 25788 fi |
25775 | 25789 |
25776 else | 25790 else |
25777 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_threeDClassRec" | $as_tr_sh` | 25791 as_ac_Lib=`echo "ac_cv_lib_$athena_variant''_XawSme3dComputeTopShadowRGB" | $as_tr_sh` |
25778 { echo "$as_me:$LINENO: checking for threeDClassRec in -l$athena_variant" >&5 | 25792 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -l$athena_variant" >&5 |
25779 echo $ECHO_N "checking for threeDClassRec in -l$athena_variant... $ECHO_C" >&6; } | 25793 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -l$athena_variant... $ECHO_C" >&6; } |
25780 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then | 25794 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then |
25781 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25795 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25782 else | 25796 else |
25783 ac_check_lib_save_LIBS=$LIBS | 25797 ac_check_lib_save_LIBS=$LIBS |
25784 LIBS="-l$athena_variant $LIBS" | 25798 LIBS="-l$athena_variant $LIBS" |
25793 Use char because int might match the return type of a GCC | 25807 Use char because int might match the return type of a GCC |
25794 builtin and then its argument prototype would still apply. */ | 25808 builtin and then its argument prototype would still apply. */ |
25795 #ifdef __cplusplus | 25809 #ifdef __cplusplus |
25796 extern "C" | 25810 extern "C" |
25797 #endif | 25811 #endif |
25798 char threeDClassRec (); | 25812 char XawSme3dComputeTopShadowRGB (); |
25799 int | 25813 int |
25800 main () | 25814 main () |
25801 { | 25815 { |
25802 return threeDClassRec (); | 25816 return XawSme3dComputeTopShadowRGB (); |
25803 ; | 25817 ; |
25804 return 0; | 25818 return 0; |
25805 } | 25819 } |
25806 _ACEOF | 25820 _ACEOF |
25807 rm -f conftest.$ac_objext conftest$ac_exeext | 25821 rm -f conftest.$ac_objext conftest$ac_exeext |
25838 { echo "$as_me:$LINENO: result: $ac_res" >&5 | 25852 { echo "$as_me:$LINENO: result: $ac_res" >&5 |
25839 echo "${ECHO_T}$ac_res" >&6; } | 25853 echo "${ECHO_T}$ac_res" >&6; } |
25840 if test `eval echo '${'$as_ac_Lib'}'` = yes; then | 25854 if test `eval echo '${'$as_ac_Lib'}'` = yes; then |
25841 athena_lib=$athena_variant | 25855 athena_lib=$athena_variant |
25842 else | 25856 else |
25843 { echo "$as_me:$LINENO: checking for threeDClassRec in -lXaw" >&5 | 25857 { echo "$as_me:$LINENO: checking for XawSme3dComputeTopShadowRGB in -lXaw" >&5 |
25844 echo $ECHO_N "checking for threeDClassRec in -lXaw... $ECHO_C" >&6; } | 25858 echo $ECHO_N "checking for XawSme3dComputeTopShadowRGB in -lXaw... $ECHO_C" >&6; } |
25845 if test "${ac_cv_lib_Xaw_threeDClassRec+set}" = set; then | 25859 if test "${ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB+set}" = set; then |
25846 echo $ECHO_N "(cached) $ECHO_C" >&6 | 25860 echo $ECHO_N "(cached) $ECHO_C" >&6 |
25847 else | 25861 else |
25848 ac_check_lib_save_LIBS=$LIBS | 25862 ac_check_lib_save_LIBS=$LIBS |
25849 LIBS="-lXaw $LIBS" | 25863 LIBS="-lXaw $LIBS" |
25850 cat >conftest.$ac_ext <<_ACEOF | 25864 cat >conftest.$ac_ext <<_ACEOF |
25858 Use char because int might match the return type of a GCC | 25872 Use char because int might match the return type of a GCC |
25859 builtin and then its argument prototype would still apply. */ | 25873 builtin and then its argument prototype would still apply. */ |
25860 #ifdef __cplusplus | 25874 #ifdef __cplusplus |
25861 extern "C" | 25875 extern "C" |
25862 #endif | 25876 #endif |
25863 char threeDClassRec (); | 25877 char XawSme3dComputeTopShadowRGB (); |
25864 int | 25878 int |
25865 main () | 25879 main () |
25866 { | 25880 { |
25867 return threeDClassRec (); | 25881 return XawSme3dComputeTopShadowRGB (); |
25868 ; | 25882 ; |
25869 return 0; | 25883 return 0; |
25870 } | 25884 } |
25871 _ACEOF | 25885 _ACEOF |
25872 rm -f conftest.$ac_objext conftest$ac_exeext | 25886 rm -f conftest.$ac_objext conftest$ac_exeext |
25885 (exit $ac_status); } && { | 25899 (exit $ac_status); } && { |
25886 test -z "$ac_c_werror_flag" || | 25900 test -z "$ac_c_werror_flag" || |
25887 test ! -s conftest.err | 25901 test ! -s conftest.err |
25888 } && test -s conftest$ac_exeext && | 25902 } && test -s conftest$ac_exeext && |
25889 $as_test_x conftest$ac_exeext; then | 25903 $as_test_x conftest$ac_exeext; then |
25890 ac_cv_lib_Xaw_threeDClassRec=yes | 25904 ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=yes |
25891 else | 25905 else |
25892 echo "$as_me: failed program was:" >&5 | 25906 echo "$as_me: failed program was:" >&5 |
25893 sed 's/^/| /' conftest.$ac_ext >&5 | 25907 sed 's/^/| /' conftest.$ac_ext >&5 |
25894 | 25908 |
25895 ac_cv_lib_Xaw_threeDClassRec=no | 25909 ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB=no |
25896 fi | 25910 fi |
25897 | 25911 |
25898 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | 25912 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ |
25899 conftest$ac_exeext conftest.$ac_ext | 25913 conftest$ac_exeext conftest.$ac_ext |
25900 LIBS=$ac_check_lib_save_LIBS | 25914 LIBS=$ac_check_lib_save_LIBS |
25901 fi | 25915 fi |
25902 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_threeDClassRec" >&5 | 25916 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&5 |
25903 echo "${ECHO_T}$ac_cv_lib_Xaw_threeDClassRec" >&6; } | 25917 echo "${ECHO_T}$ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB" >&6; } |
25904 if test $ac_cv_lib_Xaw_threeDClassRec = yes; then | 25918 if test $ac_cv_lib_Xaw_XawSme3dComputeTopShadowRGB = yes; then |
25905 | 25919 |
25906 athena_lib=Xaw; | 25920 athena_lib=Xaw; |
25907 { echo "$as_me:$LINENO: WARNING: Assuming that libXaw is actually $athena_variant." >&5 | 25921 { echo "$as_me:$LINENO: WARNING: Assuming that libXaw is actually $athena_variant." >&5 |
25908 echo "$as_me: WARNING: Assuming that libXaw is actually $athena_variant." >&2;}; | 25922 echo "$as_me: WARNING: Assuming that libXaw is actually $athena_variant." >&2;}; |
25909 | 25923 |
37244 if test $ac_cv_lib_gdbm_dbm_open = yes; then | 37258 if test $ac_cv_lib_gdbm_dbm_open = yes; then |
37245 | 37259 |
37246 enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm | 37260 enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm |
37247 else | 37261 else |
37248 | 37262 |
37263 { echo "$as_me:$LINENO: checking for dbm_open in -lgdbm_compat" >&5 | |
37264 echo $ECHO_N "checking for dbm_open in -lgdbm_compat... $ECHO_C" >&6; } | |
37265 if test "${ac_cv_lib_gdbm_compat_dbm_open+set}" = set; then | |
37266 echo $ECHO_N "(cached) $ECHO_C" >&6 | |
37267 else | |
37268 ac_check_lib_save_LIBS=$LIBS | |
37269 LIBS="-lgdbm_compat -lgdbm $LIBS" | |
37270 cat >conftest.$ac_ext <<_ACEOF | |
37271 /* confdefs.h. */ | |
37272 _ACEOF | |
37273 cat confdefs.h >>conftest.$ac_ext | |
37274 cat >>conftest.$ac_ext <<_ACEOF | |
37275 /* end confdefs.h. */ | |
37276 | |
37277 /* Override any GCC internal prototype to avoid an error. | |
37278 Use char because int might match the return type of a GCC | |
37279 builtin and then its argument prototype would still apply. */ | |
37280 #ifdef __cplusplus | |
37281 extern "C" | |
37282 #endif | |
37283 char dbm_open (); | |
37284 int | |
37285 main () | |
37286 { | |
37287 return dbm_open (); | |
37288 ; | |
37289 return 0; | |
37290 } | |
37291 _ACEOF | |
37292 rm -f conftest.$ac_objext conftest$ac_exeext | |
37293 if { (ac_try="$ac_link" | |
37294 case "(($ac_try" in | |
37295 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
37296 *) ac_try_echo=$ac_try;; | |
37297 esac | |
37298 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
37299 (eval "$ac_link") 2>conftest.er1 | |
37300 ac_status=$? | |
37301 grep -v '^ *+' conftest.er1 >conftest.err | |
37302 rm -f conftest.er1 | |
37303 cat conftest.err >&5 | |
37304 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
37305 (exit $ac_status); } && { | |
37306 test -z "$ac_c_werror_flag" || | |
37307 test ! -s conftest.err | |
37308 } && test -s conftest$ac_exeext && | |
37309 $as_test_x conftest$ac_exeext; then | |
37310 ac_cv_lib_gdbm_compat_dbm_open=yes | |
37311 else | |
37312 echo "$as_me: failed program was:" >&5 | |
37313 sed 's/^/| /' conftest.$ac_ext >&5 | |
37314 | |
37315 ac_cv_lib_gdbm_compat_dbm_open=no | |
37316 fi | |
37317 | |
37318 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | |
37319 conftest$ac_exeext conftest.$ac_ext | |
37320 LIBS=$ac_check_lib_save_LIBS | |
37321 fi | |
37322 { echo "$as_me:$LINENO: result: $ac_cv_lib_gdbm_compat_dbm_open" >&5 | |
37323 echo "${ECHO_T}$ac_cv_lib_gdbm_compat_dbm_open" >&6; } | |
37324 if test $ac_cv_lib_gdbm_compat_dbm_open = yes; then | |
37325 | |
37326 enable_database_gdbm=yes enable_database_dbm=no libdbm="-lgdbm_compat -lgdbm" | |
37327 else | |
37328 | |
37249 if test "$enable_database_gdbm" = "yes"; then | 37329 if test "$enable_database_gdbm" = "yes"; then |
37250 { echo "Error:" "Required GNU DBM support cannot be provided." >&2; exit 1; } | 37330 { echo "Error:" "Required GNU DBM support cannot be provided." >&2; exit 1; } |
37251 fi | 37331 fi |
37252 enable_database_gdbm=no | 37332 enable_database_gdbm=no |
37333 fi | |
37334 | |
37335 | |
37253 fi | 37336 fi |
37254 | 37337 |
37255 fi | 37338 fi |
37256 | 37339 |
37257 if test "$enable_database_dbm" != "no"; then | 37340 if test "$enable_database_dbm" != "no"; then |
37900 | 37983 |
37901 fi | 37984 fi |
37902 | 37985 |
37903 fi | 37986 fi |
37904 | 37987 |
37905 if test "$enable_database_berkdb" != "yes" -a "$dbver" = "4"; then | 37988 if test "$enable_database_berkdb" = "yes" -a "$dbver" = "4"; then |
37906 rm -f $tempcname | 37989 rm -f $tempcname |
37907 echo "#include <$db_h_file>" > $tempcname | 37990 echo "#include <$db_h_file>" > $tempcname |
37908 echo "configure___ dbfunc=db_create" >> $tempcname | 37991 echo "configure___ dbfunc=db_create" >> $tempcname |
37909 eval `$CPP -Isrc $tempcname \ | 37992 eval `$CPP -Isrc $tempcname \ |
37910 | sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"` | 37993 | sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"` |
40377 blddir!$blddir$ac_delim | 40460 blddir!$blddir$ac_delim |
40378 build!$build$ac_delim | 40461 build!$build$ac_delim |
40379 build_cpu!$build_cpu$ac_delim | 40462 build_cpu!$build_cpu$ac_delim |
40380 build_vendor!$build_vendor$ac_delim | 40463 build_vendor!$build_vendor$ac_delim |
40381 build_os!$build_os$ac_delim | 40464 build_os!$build_os$ac_delim |
40465 SHEBANG_PROGNAME!$SHEBANG_PROGNAME$ac_delim | |
40382 configuration!$configuration$ac_delim | 40466 configuration!$configuration$ac_delim |
40383 CC!$CC$ac_delim | 40467 CC!$CC$ac_delim |
40384 CFLAGS!$CFLAGS$ac_delim | 40468 CFLAGS!$CFLAGS$ac_delim |
40385 LDFLAGS!$LDFLAGS$ac_delim | 40469 LDFLAGS!$LDFLAGS$ac_delim |
40386 CPPFLAGS!$CPPFLAGS$ac_delim | 40470 CPPFLAGS!$CPPFLAGS$ac_delim |
40428 MOD_INSTALL_PROGRAM!$MOD_INSTALL_PROGRAM$ac_delim | 40512 MOD_INSTALL_PROGRAM!$MOD_INSTALL_PROGRAM$ac_delim |
40429 OBJECT_TO_BUILD!$OBJECT_TO_BUILD$ac_delim | 40513 OBJECT_TO_BUILD!$OBJECT_TO_BUILD$ac_delim |
40430 ldap_libs!$ldap_libs$ac_delim | 40514 ldap_libs!$ldap_libs$ac_delim |
40431 postgresql_libs!$postgresql_libs$ac_delim | 40515 postgresql_libs!$postgresql_libs$ac_delim |
40432 lwlib_objs!$lwlib_objs$ac_delim | 40516 lwlib_objs!$lwlib_objs$ac_delim |
40433 canna_libs!$canna_libs$ac_delim | |
40434 _ACEOF | 40517 _ACEOF |
40435 | 40518 |
40436 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then | 40519 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then |
40437 break | 40520 break |
40438 elif $ac_last_try; then | 40521 elif $ac_last_try; then |
40470 | 40553 |
40471 | 40554 |
40472 ac_delim='%!_!# ' | 40555 ac_delim='%!_!# ' |
40473 for ac_last_try in false false false false false :; do | 40556 for ac_last_try in false false false false false :; do |
40474 cat >conf$$subs.sed <<_ACEOF | 40557 cat >conf$$subs.sed <<_ACEOF |
40558 canna_libs!$canna_libs$ac_delim | |
40475 ALLOCA!$ALLOCA$ac_delim | 40559 ALLOCA!$ALLOCA$ac_delim |
40476 have_esd_config!$have_esd_config$ac_delim | 40560 have_esd_config!$have_esd_config$ac_delim |
40477 SRC_SUBDIR_DEPS!$SRC_SUBDIR_DEPS$ac_delim | 40561 SRC_SUBDIR_DEPS!$SRC_SUBDIR_DEPS$ac_delim |
40478 INSTALL_ARCH_DEP_SUBDIR!$INSTALL_ARCH_DEP_SUBDIR$ac_delim | 40562 INSTALL_ARCH_DEP_SUBDIR!$INSTALL_ARCH_DEP_SUBDIR$ac_delim |
40479 MAKE_SUBDIR!$MAKE_SUBDIR$ac_delim | 40563 MAKE_SUBDIR!$MAKE_SUBDIR$ac_delim |
40546 internal_makefile_list!$internal_makefile_list$ac_delim | 40630 internal_makefile_list!$internal_makefile_list$ac_delim |
40547 LIBOBJS!$LIBOBJS$ac_delim | 40631 LIBOBJS!$LIBOBJS$ac_delim |
40548 LTLIBOBJS!$LTLIBOBJS$ac_delim | 40632 LTLIBOBJS!$LTLIBOBJS$ac_delim |
40549 _ACEOF | 40633 _ACEOF |
40550 | 40634 |
40551 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 74; then | 40635 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 75; then |
40552 break | 40636 break |
40553 elif $ac_last_try; then | 40637 elif $ac_last_try; then |
40554 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 | 40638 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 |
40555 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} | 40639 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} |
40556 { (exit 1); exit 1; }; } | 40640 { (exit 1); exit 1; }; } |